<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>clientlib</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module clientlib</h1>
<hr />
  <h2 class="toc">Classes</h2>
    <a target="mainFrame" href="Halberd.clientlib.ConnectionRefused-class.html"
     >ConnectionRefused</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPClient-class.html"
     >HTTPClient</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPError-class.html"
     >HTTPError</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPSClient-class.html"
     >HTTPSClient</a><br />    <a target="mainFrame" href="Halberd.clientlib.HTTPSError-class.html"
     >HTTPSError</a><br />    <a target="mainFrame" href="Halberd.clientlib.InvalidURL-class.html"
     >InvalidURL</a><br />    <a target="mainFrame" href="Halberd.clientlib.TimedOut-class.html"
     >TimedOut</a><br />    <a target="mainFrame" href="Halberd.clientlib.UnknownReply-class.html"
     >UnknownReply</a><br />  <h2 class="toc">Functions</h2>
    <a target="mainFrame" href="Halberd.clientlib-module.html#clientFactory"
     >clientFactory</a><br />  <h2 class="toc">Variables</h2>
    <a target="mainFrame" href="Halberd.clientlib-module.html#__package__"
     >__package__</a><br />    <a target="mainFrame" href="Halberd.clientlib-module.html#default_bufsize"
     >default_bufsize</a><br />    <a target="mainFrame" href="Halberd.clientlib-module.html#default_template"
     >default_template</a><br />    <a target="mainFrame" href="Halberd.clientlib-module.html#default_timeout"
     >default_timeout</a><br /><hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
